%global plugin_name workflow-aggregator

Summary:    A suite of plugins that lets you orchestrate automation
Name:       jenkins-plugin-%{plugin_name}
Version:    2.1
Release:    10%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-aggregator-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-workflow-multibranch
Requires:   jenkins-plugin-workflow-cps
Requires:   jenkins-plugin-workflow-cps-global-lib
Requires:   jenkins-plugin-workflow-job
Requires:   jenkins-plugin-pipeline-input-step
Requires:   jenkins-plugin-workflow-basic-steps
Requires:   jenkins-plugin-workflow-support
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins-plugin-workflow-api
Requires:   jenkins-plugin-pipeline-stage-step
Requires:   jenkins-plugin-workflow-durable-task-step
Requires:   jenkins-plugin-pipeline-build-step
Requires:   jenkins-plugin-pipeline-stage-view
Requires:   jenkins-plugin-workflow-scm-step

%description
A suite of plugins that lets you orchestrate automation, simple or complex.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.1 - 2.1-10
- rebuilt

* Tue Jun 27 2017 root - 2.5-1
- Update to 2.5

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Initial package
